1. Este site usa cookies. Ao continuar a usar este site está a concordar com o nosso uso de cookies. Saber Mais.

MySql em Debian

Discussão em 'Novidades GNU/Linux & *nix World' iniciada por RAMBox, 12 de Dezembro de 2007. (Respostas: 3; Visualizações: 4102)

  1. RAMBox

    RAMBox Power Member

    Boas pessoal,

    Tou a instalar um servidor de Mysql porem fiz porcaria e no phpmyadmin sem querer apaguei os users debian-system-(Qualquer coisa assim) e o root , bonito agora não consigo fazer nada do servidor de mysql então pensei em reinstalar o Mysql isto está de tal maneira que nem consigo fazer o stop do server é mesmo pelo Kill .

    Porém não estou a conseguir nem á lei da bala já tentei :

    -> apt-get remove mysql-server

    -> apt-get remover --purge mysql-server

    -> e tb utilizei o dkpg(algo assim )

    -> Já farto desta brincadeira fui a todas as pastas e apaguei todo o que tinha a ver com Mysql

    O problema é que sempre que vou dar novamente o apt-get install mysql-server
    para ele me instalar de novo ele não faz ou seja diz Setting Up etc ... mas na realidade não faz nada.
    tb tentei o apt-get install --reinstall mysql-server e nada na mesma .

    Será que alguem me poderia dar uma ajuda ou dar ideias de como reinstalar novamente o Mysql pelo apt-get do Debian ?? Em ultimo recurso vai ter ser mão mas eu queria evita-lo .

    Obrigado,
    RaMboX
     
  2. esquiso

    esquiso Power Member

    Exprimenta lá isto:

    dpkg -l | grep <palavra>

    procura por todas as palavras que tenham haver com o mysql e vê se encontras algo. Em caso positivo:

    dpkg --purge <pacote>

    Podes também tentar com o aptitude:

    aptitude purge <pacote>, e assim também asseguras que as dependencias são bem eliminadas e os ficheiros de configuração vão ao ar.
     
  3. RAMBox

    RAMBox Power Member

    Consegui desinstalar tks esquiso ;) ,

    porém agora não consigo instalar no fim dá me este erro :

    Código:
    Stopping MySQL database server: mysqld.
    /var/lib/dpkg/info/mysql-server-5.0.postinst: line 143: /etc/mysql/conf.d/old_passwords.cnf: No such file or directory
    dpkg: error processing mysql-server-5.0 (--configure):
     subprocess post-installation script returned error exit status 1
    dpkg: dependency problems prevent configuration of mysql-server:
     mysql-server depends on mysql-server-5.0; however:
      Package mysql-server-5.0 is not configured yet.
    dpkg: error processing mysql-server (--configure):
     dependency problems - leaving unconfigured
    Errors were encountered while processing:
     mysql-server-5.0
     mysql-server
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    Já dei um googlize para ver porra é essa mas não encontro nada será que me podias ajudar mais umas vez tks .


    * Resolvido bem para quem tiver este problema , vou apresentar a sua solução :
    - Isto é derviado a um bug no script de desinstalação dos pacotes .
    (Mais promenores também não sei )

    - Para resolver basta criar um ficheiro igual vazio que o erro descreve ou seja :
    --> /etc/mysql/conf.d/old_passwords.cnf
    - Para criar o ficheiro :
    --> cd /etc/mysql
    --> mkdir conf.d
    --> pico ou nano old_passwords.cnf , escrever qualquer coisa pagar e gravar .

    Mais uma vez obrigado pela ajuda que me foi dada desinstalar o Mysql .
     
    Última edição: 13 de Dezembro de 2007
  4. Cara, estou com o mesmo problema, fiz isso que vc falou e ainda assim o problema persiste:

    dpkg: dependency problems prevent configuration of apache2-mpm-prefork:
    apache2-mpm-prefork depends on apache2.2-common (= 2.2.16-6+squeeze1); however:
    Package apache2.2-common is not configured yet.
    dpkg: error processing apache2-mpm-prefork (--configure):
    dependency problems - leaving unconfigured
    configured to not write apport reports
    dpkg: dependency problems prevent configuration of libapache2-mod-php5:
    libapache2-mod-php5 depends on apache2-mpm-prefork (>> 2.0.52) | apache2-mpm-itk; however:
    Package apache2-mpm-prefork is not configured yet.
    Package apache2-mpm-itk is not installed.
    libapache2-mod-php5 depends on apache2.2-common; however:
    Package apache2.2-common is not configured yet.
    dpkg: error processing libapache2-mod-php5 (--configure):
    dependency problems - leaving unconfigured
    configured to not write apport reports
    Errors were encountered while processing:
    mysql-server-5.1
    apache2.2-common
    apache2-mpm-prefork
    libapache2-mod-php5
    E: Sub-process /usr/bin/dpkg returned an error code (1)


    pode dar uam ajuda?
     

Partilhar esta Página